﻿/*  ----------------------------------------------------------------------------
 *  WestLaw Business
 *  ----------------------------------------------------------------------------
 *  Copyright 2011 Thomson Reuters Global Resources.  All Rights Reserved.
 *  Proprietary and Confidential information of TRGR.
 *  Disclosure, Use, or Reproduction without the written authorization of TRGR is prohibited.
 *  ----------------------------------------------------------------------------
 *  Author:     TLR\C105578 (Jim Sugrue)
 *  ----------------------------------------------------------------------------
 */
namespace TRGR.WLB.UE.UI.Modules.Maintenance
{
    
    using Microsoft.Practices.Prism.Events;
    using Microsoft.Practices.Prism.Regions;
    using Microsoft.Practices.Unity;

    
    /// <summary>
    /// View Model which serves as the Data Context for the Maintenance View
    /// </summary>
    public class MaintenanceViewModel
    {
        /// <summary>
        /// Reference to the Unity Container
        /// </summary>
        private readonly IUnityContainer container;

        /// <summary>
        /// Reference to the Event Aggregator
        /// </summary>
        private readonly IEventAggregator eventAggregator;

        /// <summary>
        /// Reference to the Prism RegionManager
        /// </summary>
        private readonly IRegionManager regionManager;

        /// <summary>
        /// Initializes a new instance of the MaintenanceViewModel class
        /// The constructor requires references to an implementation of the IModalDialogService and the Prism event aggregator to be provided via dependency injection
        /// </summary>
        /// <param name="container">Reference to the Unity Container</param>
        /// <param name="eventAggregator">Reference to the Prism Event Aggregator</param>
        /// <param name="regionManager">Reference to the Prism Region Manager</param>
        public MaintenanceViewModel(IUnityContainer container, IEventAggregator eventAggregator, IRegionManager regionManager)
        {
            this.container = container;
            this.eventAggregator = eventAggregator;
            this.regionManager = regionManager;
        }
    }
}
