﻿
namespace Test
{
    using System.Windows;

    using Infragistics.Windows.DockManager;

    using Microsoft.Practices.Unity;

    using TRGR.WLB.UE.UI.Modules.Maintenance;
    using TRGR.WLB.UE.UI.Modules.Shell;
    using Infragistics.Windows.DockManager.Events;

    /// <summary>
    /// Interaction logic for Shell.xaml
    /// </summary>
    public partial class Shell
    {
        public Shell()
        {
            InitializeComponent();
        }

        /// <summary>
        /// Gets or sets the View Model created via Dependency Injection
        /// </summary>
        [Dependency]
        public ShellViewModel ViewModel
        {
            get { return this.DataContext as ShellViewModel; }
            set { this.DataContext = value; }
        }

        private void Button_Click(object sender, System.Windows.RoutedEventArgs e)
        {
            var maintenanceView = this.ViewModel.container.Resolve<MaintenanceView>();
            foreach (var document in this.dockManager.GetPanes(PaneNavigationOrder.VisibleOrder))
            {
                if (document.Header == "MaintenanceView")
                {
                    if (document.IsVisible == false)
                    {
                        document.Visibility = Visibility.Visible;
                    }
                    return;
                }

            }

            var contentPane = this.dockManager.AddDocument("MaintenanceView", maintenanceView);
            contentPane.CloseAction = PaneCloseAction.RemovePane;

            contentPane.Closed += delegate(object o, PaneClosedEventArgs args)
            {
                ContentPane cp = o as ContentPane;
                cp.Header = null;
                cp.Content = null;

            };


        }
    }
}
